Subject: Re: linux-next: Tree for Apr 23 (ax.25 sysctl)

From: [email-masked] (Eric W. Biederman)
Date: Mon, 23 Apr 2012 17:16:56 -0700

Randy Dunlap <[email-masked]> writes:

> On 04/23/2012 12:07 AM, Stephen Rothwell wrote:
>
>> Hi all,
>> 
>> Changes since 20120420:
>
>
>
> include/net/ax25.h:447:75: error: expected ';' before '}' token
>
>
> static inline int ax25_register_dev_sysctl(ax25_dev *ax25_dev) { return 0 };
> static inline void ax25_unregister_dev_sysctl(ax25_dev *ax25_dev) {};
>
> Is this from Eric B.'s sysctl patches?

Sort of.  I made the function per device and return 0.

I missed the inner ';' when I made the change.  The outer '};' has
been there for years and has been weird but harmless.

Patch to fix it in a moment.

Eric

> First function:  move ';' inside braces.
> Second function:  drop the ';'.